<html>
  <head>
    <title>Just Bytes Testing</title>
  </head>
  <body>
    <input id="input" type="file" />
    <script type="text/javascript" src="link-to-module.js"></script>
    <!--<script type="text/javascript" src="https://cdn.treuze.dev/js/justbytes.js"></script>-->
    <script>
    
        // start python test server
        // python3 -m http.server 3000
        
        const testEndpoint = 'http://52.213.42.144:5000/save-file';
        const finalDestination = '/home/ec2-user/environment';
        const input = document.getElementById('input');
        const response = async () => {
          
          const response = await sendFileFromTag({
            'input': input,
            'url': testEndpoint,
            'finalDestination': finalDestination,
            'syncSend': true,
            'chunkSize': 1024,
            'bytesPrefix': 'b',
          });
          
          console.log(await response);
          
        };
        
        response();
        
        // const input = document.getElementById('input');
        // const testEndpoint = 'http://52.213.42.144:5000/save-file';
        // input.onchange = async () => {
          
        //   const file = input['files'][0];
          
        //   console.log(file)
          
        //   const uploadStatus = await sendFile({
        //     'input': file,
        //     'url': testEndpoint,
        //     'finalDestination': '/home/ec2-user/environment',
        //     'chunkSize': 1024,
        //     'bytesPrefix': 'b',
        //     'syncSend': false,
        //   });
        
        //   console.log(uploadStatus);
          
        // };
        
    </script>
  </body>
</html>
